import React from "react";
import { Views } from "@react-fullstack/fullstack";
import SocketIO from "socket.io";
interface Props<ViewsInterface extends Views> {
    port: number;
    children: () => JSX.Element;
    views: ViewsInterface;
    /**
     * share one app across all clients
     */
    singleInstance?: boolean;
}
declare class Server<ViewsInterface extends Views> extends React.Component<Props<ViewsInterface>> {
    server?: SocketIO.Server;
    componentDidMount: () => void;
    componentWillUnmount: () => void;
    render: () => JSX.Element;
}
export { Server };
